Page MenuHomePhabricator

Allow longer text snippets in Share-A-Fact cards
Closed, ResolvedPublic

Description

Please allow me to do longer Share-A-Fact image cards. Instead of truncuating it to ..., please resize the text to fit within the image instead. I may want to do a card with 2 sentences. In most cases that is not possible.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 23 2017, 11:37 PM
Josve05a renamed this task from Allow longertext snippets in Share-A-Fact cards to Allow longer text snippets in Share-A-Fact cards.Jan 23 2017, 11:43 PM

@JMinor This doesn't sound too hard...

Josve05a moved this task from Backlog to iOS App on the User-Josve05a board.Jan 25 2017, 3:08 AM
JMinor triaged this task as Low priority.Jan 30 2017, 10:50 PM
JMinor moved this task from Needs Triage to Product Backlog on the Wikipedia-iOS-App-Backlog board.
julbod claimed this task.Feb 22 2017, 5:18 AM

Testing criteria:

  1. Go to any article.
  2. Select two sentences of text (any two sentences will do)
  3. Tap "Share-a-fact" on the text tools overlay
  4. Verify that the complete text selected in included in the Share-a-fact image.

@JMinor I think the criteria of "two sentences" is not correct for the fix I did. If the two selected sentences are very long, they will not be entirely included in the card.
The fix doesn't detect the number of sentences to always allow two sentences independently their length. But it only allow more text to be included, which is approximately two sentences of "average" length.

Josve05a added a comment.EditedFeb 24 2017, 10:28 PM

@JMinor I think the criteria of "two sentences" is not correct for the fix I did. If the two selected sentences are very long, they will not be entirely included in the card.
The fix doesn't detect the number of sentences to always allow two sentences independently their length. But it only allow more text to be included, which is approximately two sentences of "average" length.

Just out of curiosity, couldn't any lenght of text be made to fix inside the image, but super tiny? Like 0.0001px tiny even, if one so desired, as an svg-file somehow? So why have a limitation at all, and not just fit any text to size?

@Josve05a Yes it is possible to include longer text in the image and its font size will be reduced. I don't know if "super tiny" is possible, but at the minimum font size the text will be small enough.

The limitation is for readability reasons I think. There is no point in sharing text that is too small to be read... But it's also possible to let the user select as much text as he wants if he don't mind the text being very small.

@julbod Please let me know what character limit you pick and we'll test against that. Two sentences was an arbitrary choice based on @Josve05a's original request.

I do think we should have some limit. Apple's guidelines have generally been that anything below 11pt is below the readability threshold on mobile. Lets fit all the text we can with a lower size limit of 11pt for design to review.

(Also see T129656 for longer texts)

@JMinor I choose 24pt as the minimum font size. It was 38pt before my changes.

Testing on iPhone 6S (iOS 10.2.1) and Wikipedia 5.4.0 (1081).

Share-a-fact works as expected for two sentences, or one long sentence:

Just as a sidenote, paragraphs still won't be included in their entirety (this is a longer excerpt than Josh said to highlight):

JMinor closed this task as Resolved.Mar 6 2017, 10:15 PM

Okay @Josve05a we crammed as much text as we could in there!

julbod removed julbod as the assignee of this task.Mar 10 2017, 3:22 PM
julbod added a subscriber: julbod.